Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class FieldExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.FieldExpression

    public class FieldExpression

extends Expression

Represents a field access such as the expression "this.foo".

Version:
  $Revision: 16296 $
Author:
  James Strachan

Constructor Summary
`FieldExpression(FieldNode field)`

Method Summary
`FieldNode` | `getField()`
`String` | `getFieldName()`
`String` | `getText()`
`ClassNode` | `getType()`
`boolean` | `isDynamicTyped()`
`boolean` | `isUseReferenceDirectly()`
`void` | `setType(ClassNode type)`
`void` | `setUseReferenceDirectly(boolean useRef)`
`Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`transformExpressions, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode
`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldExpression

    public FieldExpression(FieldNode field)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### getFieldName

    public String getFieldName()

### getField

    public FieldNode getField()

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### isDynamicTyped

    public boolean isDynamicTyped()

### setType

    public void setType(ClassNode type)

  Overrides:
    `setType` in class `Expression`

### getType

    public ClassNode getType()

  Overrides:
    `getType` in class `Expression`

### setUseReferenceDirectly

    public void setUseReferenceDirectly(boolean useRef)

### isUseReferenceDirectly

    public boolean isUseReferenceDirectly()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD